> ## Documentation Index
> Fetch the complete documentation index at: https://wato.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Schedule Campaign

> Same as above. Please not the diffence in the fields

``` json
"start_date": "2023-12-22",
"end_date": "2023-12-22",
"schedule_time": "12:18:00"
```



## OpenAPI

````yaml post /api/v1/venom/add-campaign-batch
openapi: 3.0.0
info:
  title: wato-external
  description: >-
    [Wato.ai](https://wato.ai) is a zero-cost messaging platform focused on
    WhatsApp groups and community retargeting. It allows for the management and
    growth of WhatsApp channels, aiming to save companies their WhatsApp
    marketing costs by ensuring 100% message delivery at no cost. The platform
    highlights its effectiveness in delivering messages compared to other
    channels like SMS, emails, and mobile app notifications, offering insights
    and analytics to elevate decision-making processes and strategies for growth
  version: 1.0.0
servers:
  - url: http://{{base_url}}
security: []
paths:
  /api/v1/venom/add-campaign-batch:
    post:
      tags:
        - default
      summary: add-campaign (schedule)
      description: |-
        Same as above. Please not the diffence in the fields

        ``` json
        "start_date": "2023-12-22",
        "end_date": "2023-12-22",
        "schedule_time": "12:18:00"
        ```
      parameters:
        - name: Authorization
          in: header
          schema:
            type: string
          example: Bearer {{token}}
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                name: scheduled-camp-5
                desc: '1'
                html: <p>scheduled-camp-5</p>
                image: null
                group_metadata_ids:
                  - 8
                is_channel_campaign: true
                is_schedule: true
                start_date: '2023-12-22'
                end_date: '2023-12-22'
                schedule_time: '12:18:00'
      responses:
        '200':
          description: OK
          headers:
            Server:
              schema:
                type: number
                example: nginx/1.22.1
            Date:
              schema:
                type: string
                example: Mon, 04 Mar 2024 10:13:07 GMT
            Content-Type:
              schema:
                type: string
                example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
                example: '66'
            Connection:
              schema:
                type: string
                example: keep-alive
            X-Powered-By:
              schema:
                type: string
                example: Express
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
            ETag:
              schema:
                type: string
                example: W/"42-nQ7HKN5PJt/bUSKnsD2x5ijRlak"
          content:
            application/json:
              schema:
                type: object
              example:
                error: false
                status: success
                code: 200
                data:
                  data: true

````